
<!DOCTYPE html>
<html xmlns='http://www.w3.org/1999/xhtml' xmlns:b='http://www.google.com/2005/gml/b' xmlns:data='http://www.google.com/2005/gml/data' xmlns:expr='http://www.google.com/2005/gml/expr'>
<head> 
<meta content='width=device-width, initial-scale=1.0, user-scalable=no' name='viewport'/>
<meta content='IE=IE7; IE=IE8; IE=IE9; IE=IE10; IE=edge; chrome=1' http-equiv='X-UA-Compatible'/>
<meta content='no-referrer' name='referrer'/>
<title>HD1 | EGY4</title>
<style id='page-skin-1' type='text/css'><!--
/*! 
--></style>
<style type='text/css'>  
:root {  
  --main-bg-color: #f8f9fa;
  --header-bg-color: #e5e5e5;
  --text-color: #333;
  --border-color: #ddd;
  --card-bg-color: #fff;
  --primary-color: #3a4562;
  --primary-color-dark: #26374a;
  --active-color: #ff2423;
  --hover-color: #d7d4d4;
  --dark-gray: #555;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background: var(--main-bg-color);
  font-family: Arial, sans-serif;
  color: var(--text-color);
  line-height: 1.6;
}

header {
  background: var(--header-bg-color);
  color: var(--text-color);
  text-align: center;
  padding: 0.4rem;
}

.container {
  display: flex;
  flex-direction: column;
  overflow: auto;
  -webkit-overflow-scrolling: touch;
}

.main-content {
  flex: 1 0 auto;
  margin: 0 auto;
  max-width: 1200px;
  width: 100%;
  padding: 0.1rem; 
}

.post-area {
  flex: 1;
}

.sidebar {
  width: 100%;
  max-width: 300px;
}

.post {
  background: var(--card-bg-color);
  border-radius: 8px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  padding: 0.1rem;
  margin-bottom: 0.2rem;
}

.cookie-choices-info, 
#comments {
  display: none !important;
}

.post-body {
  margin-bottom: 0.2rem;
}

@media (max-width: 768px) {
  .main-content {
    flex-direction: column;
  }

  .sidebar {
    max-width: 100%;
  }
} 


</style>
<script type='text/javascript'>
//<![CDATA[  
  (() => {
    const scriptCache = {};

    const loadScript = (src) => {
      if (scriptCache[src]) return scriptCache[src];
      scriptCache[src] = new Promise((resolve, reject) => {
        if (document.querySelector(`script[src="${src}"]`)) {
          resolve();
          return;
        }
        const script = document.createElement("script");
        script.src = src;
        script.onload = resolve;
        script.onerror = () => reject(new Error(`فشل تحميل: ${src}`));
        document.head.appendChild(script);
      });
      return scriptCache[src];
    };

    const createIframe = (url, options = {}) => {
      const iframe = document.createElement("iframe");
      iframe.src = url;
      iframe.className = "responsive-iframe";
      Object.assign(iframe, {
        allowFullscreen: true,
        loading: "lazy",
        sandbox: options.sandbox || "allow-same-origin allow-scripts allow-forms allow-orientation-lock",
        referrerPolicy: options.referrerPolicy || "strict-origin-when-cross-origin",
        allow: options.allow || "accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share"
      });
      return iframe;
    };

    const initPostChannels = (channels, containerId) => {
      const container = document.getElementById(containerId);
      if (!container) return;

      container.innerHTML = `
        <div class="channels-list" data-channel-count="${channels.length}" id="${containerId}_list"></div>
        <div class="player-container" id="${containerId}_player">
          <div class="responsive-container" id="${containerId}_videoPlayer"></div>
          <div class="loader" id="${containerId}_loadingSpinner" style="display:none;">Loading...</div>
        </div>
      `;

      const videoPlayerContainer = document.getElementById(`${containerId}_videoPlayer`);
      const loadingSpinner = document.getElementById(`${containerId}_loadingSpinner`);
      const channelsListContainer = document.getElementById(`${containerId}_list`);

      const isMobile = /Mobi|Android/i.test(navigator.userAgent) || window.innerWidth < 768;
      let currentChannel = 0;
      const urlParams = new URLSearchParams(window.location.search);
      const liveParam = urlParams.get("live");
      if (liveParam) {
        channels.forEach((ch, idx) => {
          if (ch.id == liveParam) currentChannel = idx;
        });
      }

      const loadChannel = (index) => {
        const channel = channels[index];
        videoPlayerContainer.innerHTML = "";
        loadingSpinner.style.display = "block";

        let channelType = (channel.desktopType && channel.mobileType)
          ? (isMobile ? channel.mobileType : channel.desktopType)
          : channel.type;
        const channelUrl = (channel.desktopUrl && channel.mobileUrl)
          ? (isMobile ? channel.mobileUrl : channel.desktopUrl)
          : channel.url;

        let finalChannelUrl = channelUrl;
        if(channelType === 'ok'){
          finalChannelUrl = atob('aHR0cHM6Ly9nYW1lcy5vay5ydS92aWRlb2VtYmVkLw==') + channel.url + '?nochat=1&autoplay=0';
          channelType = 'if';
        } else if(channelType === 'id'){
           finalChannelUrl = atob('aHR0cHM6Ly9uYnh4MS5ibG9nc3BvdC5jb20vcC9kLmh0bWw/aWQ9') + channel.url;
           channelType = 'if';
        } else if(channelType === 'idd'){
           finalChannelUrl = atob('aHR0cHM6Ly9uYnh4Mi5ibG9nc3BvdC5jb20vcC9kLmh0bWw/aWQ9') + channel.url;
           channelType = 'if';
        }  else if(channelType === 'tu'){
          finalChannelUrl = 'https://www.youtube.com/embed/' + channel.url;
          channelType = 'if';
        } else if(channelType === 'ii'){
          finalChannelUrl = atob('aHR0cHM6Ly9uYnh4MS5ibG9nc3BvdC5jb20vcC9pLmh0bWw/c3JjPQ==') + channel.url;
          channelType = 'bx';
        }

        switch (channelType) {
          case "if":
          case "bx":
          case "hr":
          case "xx": {
            const options = {
              referrerPolicy: (channelType === "hr" || channelType === "xx") ? "no-referrer" : undefined,
              allow: (channelType === "if")
                ? "accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share"
                : "autoplay; encrypted-media"
            };

            if (channelType === "bx") {
              options.sandbox = "allow-same-origin allow-scripts allow-forms allow-orientation-lock";
            }

            const iframe = createIframe(finalChannelUrl, options);

            if (channelType === "hr") {
              iframe.removeAttribute("sandbox");
            }

            videoPlayerContainer.appendChild(iframe);
            loadingSpinner.style.display = "none";
            break;
          }
          case "jw":
            loadScript("https://content.jwplatform.com/libraries/IDzF9Zmk.js")
              .then(() => {
                videoPlayerContainer.innerHTML = `<div id="jwPlayer"></div>`;
                jwplayer("jwPlayer").setup({
                  file: finalChannelUrl,
                  autostart: false,
                  mute: false,
                  width: "100%",
                  height: "100%"
                });
              })
              .catch((err) => {
                videoPlayerContainer.innerHTML = "<p>فشل تحميل مكتبة JWPlayer.</p>";
                console.error(err);
              })
              .finally(() => loadingSpinner.style.display = "none");
            break;
          case "hs":
            loadScript("https://cdnjs.cloudflare.com/ajax/libs/hls.js/1.5.2/hls.min.js")
              .then(() => {
                const video = document.createElement("video");
                video.controls = true;
                video.autoplay = true;
                video.style.width = "100%";
                video.style.height = "100%";
                if (Hls.isSupported()) {
                  const hls = new Hls();
                  hls.loadSource(finalChannelUrl);
                  hls.attachMedia(video);
                  hls.on(Hls.Events.MANIFEST_PARSED, () => video.play());
                } else if (video.canPlayType("application/vnd.apple.mpegurl")) {
                  video.src = finalChannelUrl;
                  video.addEventListener("loadedmetadata", () => video.play());
                } else {
                  videoPlayerContainer.innerHTML = "<p>متصفحك لا يدعم HLS.</p>";
                }
                videoPlayerContainer.appendChild(video);
              })
              .catch((err) => {
                videoPlayerContainer.innerHTML = "<p>فشل تحميل مكتبة HLS.js.</p>";
                console.error(err);
              })
              .finally(() => loadingSpinner.style.display = "none");
            break;
          case "pp":
            loadScript("//cdn.jsdelivr.xyz/npm/@clappr/player@0.8/dist/clappr.min.js")
              .then(() => loadScript("//cdn.jsdelivr.xyz/npm/level-selector@latest/dist/level-selector.min.js"))
              .then(() => {
                videoPlayerContainer.innerHTML = `<div id="player"></div>`;
                new Clappr.Player({
                  source: finalChannelUrl,
                  parentId: "#player",
                  width: "100%",
                  height: "100%",
                  autoPlay: false,
                  fullscreenEnabled: true,
                  plugins: [LevelSelector],
                });
              })
              .catch((err) => {
                videoPlayerContainer.innerHTML = "<p>فشل تحميل مشغل Clappr.</p>";
                console.error(err);
              })
              .finally(() => loadingSpinner.style.display = "none");
            break;
          default:
            videoPlayerContainer.innerHTML = "<p>نوع القناة غير مدعوم.</p>";
            loadingSpinner.style.display = "none";
        }
        currentChannel = index;
      };

      const initializeChannels = () => {
        channelsListContainer.innerHTML = channels.map((channel, index) => `
          <button class="channel-button ${index === currentChannel ? "active" : ""}" data-index="${index}">
            ${channel.name}
          </button>
        `).join("");
        loadChannel(currentChannel);
        const newUrl = `${window.location.pathname}?live=${channels[currentChannel].id}`;
        window.history.replaceState(null, "", newUrl);
      };

      const switchChannel = (index) => {
        const newUrl = `${window.location.pathname}?live=${channels[index].id}&t=${Date.now()}`;
        window.location.href = newUrl;
      };

      channelsListContainer.addEventListener("click", (e) => {
        const btn = e.target.closest('.channel-button');
        if (!btn) return;
        const idx = parseInt(btn.getAttribute("data-index"), 10);
        if ([1, 2].includes(channels[idx].id)) {
          switchChannel(idx);
        } else {
          channelsListContainer.querySelectorAll('.channel-button').forEach(b => b.classList.remove('active'));
          btn.classList.add('active');
          loadChannel(idx);
          const newUrl = `${window.location.pathname}?live=${channels[idx].id}`;
          window.history.replaceState(null, "", newUrl);
        }
      });

      initializeChannels();
    };

    // تأكد من تحميل الكود بعد تجهيز الـ DOM
    document.addEventListener("DOMContentLoaded", () => {
      // يمكنك هنا تحميل أي إعدادات أو بيانات افتراضية إذا لزم الأمر
    });

    // اجعل initPostChannels متاحة للاستخدام الخارجي
    window.initPostChannels = initPostChannels;
  })();
//]]>
</script>
<script type='text/javascript'>
   if (window.top !== window.self) {
  )
    window.top.location = window.location.href;
  }
</script>
 

</head><!--<head>
<link href='https://www.blogger.com/dyn-css/authorization.css?targetBlogID=3706973507240376379&amp;zx=8ef40735-c17a-4348-b369-0e2e345f69d7' media='none' onload='if(media!=&#39;all&#39;)media=&#39;all&#39;' rel='stylesheet'/><noscript><link href='https://www.blogger.com/dyn-css/authorization.css?targetBlogID=3706973507240376379&amp;zx=8ef40735-c17a-4348-b369-0e2e345f69d7' rel='stylesheet'/></noscript>
<meta name='google-adsense-platform-account' content='ca-host-pub-1556223355139109'/>
<meta name='google-adsense-platform-domain' content='blogspot.com'/>

</head>-->

<body>
<header>
<h1>FooTyy</h1>
</header>
<style>
        .channels-list {
    display: flex;
    gap: 0.2rem;
    margin-bottom: 0.3rem;
    width: 100%;
  }

  .channel-button {
    flex: 1;
    padding: 0.4rem;
    font-size: 1.5rem;
    font-weight: bold;
    border: none;
    border-radius: 4px;
    background: linear-gradient(to bottom, var(--primary-color), var(--primary-color-dark));
    color: white;
    cursor: pointer;
    text-align: center;
    transition: all 0.2s ease;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }

  .channel-button:hover {
    background: var(--dark-gray);
  }

  .channel-button.active {
    background: var(--active-color);
  }
     .iframe-container {
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            overflow: hidden;
        }

        iframe {
            width: 100%;
            height: 100%;
            border: none;
        }

        @media screen and (orientation: landscape) {
            .iframe-container {
                width: 100vw;
                height: 100vh;
            }

            iframe {
                width: 100vw;
                height: 100vh;
            }
        }

  .tv-container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0;
  }
 
  .player-container {
  position: relative;
  width: 100%;
  height: 0;
  padding-top: 56.25%; /* 16:9 aspect ratio */
  overflow: hidden;
  background-color: #000; /* لتجنب ظهور أي لون غير مرغوب */
  }
  #player {
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    color: #CCCACA;
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.7);
    z-index: 2000;
    display: flex;
    flex-direction: column;
    justify-content: center;
  }

 .responsive-container, .responsive-container video {
   position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: none;
  }
      
.responsive-iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: none;
  }    
     .refresh-button {
    position: absolute;
    top: 1px;
    right: 5px;
    background: rgba(255, 255, 255, 0.2);
    border: none;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    backdrop-filter: blur(5px);
    transition: all 0.3s ease;
    z-index: 10;
  }

  .refresh-button:hover {
    background: rgba(255, 255, 255, 0.3);
  }

  .refresh-icon {
    width: 20px;
    height: 20px;
    fill: white;
  }

  .loader {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border: 4px solid var(--hover-color);
    border-radius: 50%;
    border-top: 4px solid var(--primary-color);
    width: 30px;
    height: 30px;
    animation: spin 0.8s linear infinite;
    display: none;
    z-index: 11;
  }

  @keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
  }

       .social-bar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1px;
    background: #f2f3f4;
    margin-top: 3px;
}

.share-icons {
    display: flex;
    gap: 6px;
}

.social-btn {
    width: 36px;
    height: 36px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 16px;
    transition: opacity 0.2s;
}

.social-btn:hover {
    opacity: 0.85;
}

.social-btn.share { background: ##f2f3f4; color: #f2f3f4; }
.social-btn.facebook { background: #1877F2; color: white; }
.social-btn.twitter { background: #f2f3f4; color: #1DA1F2; }
.social-btn.whatsapp { background: #25D366; color: white; }
.social-btn.messenger { background: #0084ff; color: white; }
.social-btn.email { background: #757575; color: white; }
.social-btn.copy  { background: ##f2f3f4; color: #1DA1F2; }
.social-btn.telegram {background-color: #24a3f8;}
.social-btn.telegram i {color: white;}
 
.reload-btn {
    font-size: 1.4rem;
    background: #0066ff;
    color: white;
    border: none;
    border-radius: 4px;
    padding: 0 10px;
    height: 36px;
    display: flex;
    align-items: center;
    gap: 5px;
    cursor: pointer;
    transition: all 0.2s;
}

.reload-btn:hover {
    opacity: 0.85;
}

.reload-btn i {
    transition: transform 0.3s;
}

.reload-btn:active i {
    transform: rotate(180deg);
}

.copy-toast {
  position: fixed;
  bottom: 20px;
  left: 50%;
  transform: translateX(-50%);
  background: rgba(0,0,0,0.8);
  color: white;
  padding: 6px 16px;
  border-radius: 4px;
  animation: fadeInOut 2s;
}

@keyframes fadeInOut {
  0% { opacity: 0; }
  15% { opacity: 1; }
  85% { opacity: 1; }
  100% { opacity: 0; }
}
   
@media (max-width: 600px) {
      
  .channels-list {
    display: flex;
    flex-wrap: wrap;
    gap: 0.2rem;
  }

  .channels-list[data-channel-count="6"] {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(2, 1fr);
  }

  .channels-list[data-channel-count="8"] {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: repeat(2, 1fr);
  }

  .channels-list[data-channel-count="10"] {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    grid-template-rows: repeat(2, 1fr);
  }

  .channel-button {
    font-size: 1.4rem;
    width: 100%;
    min-height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
  }
}
</style>
<main class='container'>
<section class='main-content'>
<div class='post-area'>
<div class='section' id='main'><div class='widget Blog' data-version='1' id='Blog1'>
<div class='post'>
<div class='post-body'><div id="hd1"></div>
<script>
    var channels = [ 
    { id: 1, name: 'Live 1', type: 'ok', url: '9846185139897' },
    { id: 2, name: 'Live 2', type: 'ok', url: '9772494167794' },
    { id: 3, name: 'Live 3', type: 'if', url: 'https://live.egy4.space/p/hd1-live-1.html?m=1' },
    { id: 4, name: 'Live 4', type: 'ii', url: 'https://legalhelpfast.pro/events/stream2/' },
    { id: 5, name: 'Live 5', type: 'ii', url: 'https://flstv.online/embed/soccer2.php' },
    { id: 6, name: 'Live 6',  type: 'hr', url: 'https://pelotalibrehdtv.com/canales.php?stream=universousa' },

  ];
  initPostChannels(channels, "hd1");
</script>

</div>
</div>
</div><div class='widget HTML' data-version='2' id='HTML1'>
<div class='widget-content'>
<div class='social-bar'>
  <div class='share-icons'>
    <button aria-label='Share on Facebook' class='social-btn facebook' onclick='sharePage(&apos;facebook&apos;)'>
     <svg aria-hidden='true' class='icon icon--facebook-f-white icon--facebook-blue icon--24 ' version='1.1' viewbox='0 0 24 24'>Facebook<defs><path d='M.001.001H24v23.853H.001z' id='fa1'/></path></defs><g fill='none' fill-rule='evenodd'><g><mask fill='#fff' id='fb1'><use xlink:href='#fa1'/></use></mask><path d='M24 12c0-6.627-5.373-12-12-12S0 5.373 0 12c0 5.99 4.388 10.954 10.125 11.854V15.47H7.078V12h3.047V9.356c0-3.007 1.792-4.668 4.533-4.668 1.312 0 2.686.234 2.686.234v2.953H15.83c-1.491 0-1.956.925-1.956 1.874V12h3.328l-.532 3.469h-2.796v8.385C19.612 22.954 24 17.99 24 12' fill='#1877F2' mask='url(#fb1)'/></path></g><path d='M16.671 15.469 17.203 12h-3.328V9.749c0-.949.465-1.874 1.956-1.874h1.513V4.922s-1.374-.234-2.686-.234c-2.741 0-4.533 1.66-4.533 4.668V12H7.078v3.469h3.047v8.385a12.09 12.09 0 0 0 3.75 0V15.47h2.796' fill='#FFFFFE'/></path></g></svg>
    </button>
    <button aria-label='Share on Twitter' class='social-btn twitter' onclick='sharePage(&apos;twitter&apos;)'>
      <svg aria-hidden='true' class='icon icon--twitter icon--social icon--24 ' version='1.1' viewbox='0 0 26 24'>twitter<path class='icon-main-color' d='m.063 0 10.039 13.237L0 24h2.273l8.845-9.423L18.263 24H26L15.397 10.018 24.799 0h-2.273l-8.145 8.678L7.801 0H.062Zm3.344 1.652H6.96l15.695 20.696h-3.554L3.407 1.652Z' fill-rule='evenodd'/></path></svg>
    </button>
    <button aria-label='Share on WhatsApp' class='social-btn whatsapp' onclick='sharePage(&apos;whatsapp&apos;)'>
     <svg height='100' viewbox='0 0 48 48' width='100' x='0px' xmlns='http://www.w3.org/2000/svg' y='0px'>Whatsapp
<path d='M4.9,43.3l2.7-9.8C5.9,30.6,5,27.3,5,24C5,13.5,13.5,5,24,5c5.1,0,9.8,2,13.4,5.6 C41,14.2,43,18.9,43,24c0,10.5-8.5,19-19,19c0,0,0,0,0,0h0c-3.2,0-6.3-0.8-9.1-2.3L4.9,43.3z' fill='#fff'/><path d='M4.9,43.8c-0.1,0-0.3-0.1-0.4-0.1c-0.1-0.1-0.2-0.3-0.1-0.5L7,33.5c-1.6-2.9-2.5-6.2-2.5-9.6 C4.5,13.2,13.3,4.5,24,4.5c5.2,0,10.1,2,13.8,5.7c3.7,3.7,5.7,8.6,5.7,13.8c0,10.7-8.7,19.5-19.5,19.5c-3.2,0-6.3-0.8-9.1-2.3 L5,43.8C5,43.8,4.9,43.8,4.9,43.8z' fill='#fff'/><path d='M24,5c5.1,0,9.8,2,13.4,5.6C41,14.2,43,18.9,43,24c0,10.5-8.5,19-19,19h0c-3.2,0-6.3-0.8-9.1-2.3 L4.9,43.3l2.7-9.8C5.9,30.6,5,27.3,5,24C5,13.5,13.5,5,24,5 M24,43L24,43L24,43 M24,43L24,43L24,43 M24,4L24,4C13,4,4,13,4,24 c0,3.4,0.8,6.7,2.5,9.6L3.9,43c-0.1,0.3,0,0.7,0.3,1c0.2,0.2,0.4,0.3,0.7,0.3c0.1,0,0.2,0,0.3,0l9.7-2.5c2.8,1.5,6,2.2,9.2,2.2 c11,0,20-9,20-20c0-5.3-2.1-10.4-5.8-14.1C34.4,6.1,29.4,4,24,4L24,4z' fill='#cfd8dc'/><path d='M35.2,12.8c-3-3-6.9-4.6-11.2-4.6C15.3,8.2,8.2,15.3,8.2,24c0,3,0.8,5.9,2.4,8.4L11,33l-1.6,5.8 l6-1.6l0.6,0.3c2.4,1.4,5.2,2.2,8,2.2h0c8.7,0,15.8-7.1,15.8-15.8C39.8,19.8,38.2,15.8,35.2,12.8z' fill='#40c351'/><path clip-rule='evenodd' d='M19.3,16c-0.4-0.8-0.7-0.8-1.1-0.8c-0.3,0-0.6,0-0.9,0 s-0.8,0.1-1.3,0.6c-0.4,0.5-1.7,1.6-1.7,4s1.7,4.6,1.9,4.9s3.3,5.3,8.1,7.2c4,1.6,4.8,1.3,5.7,1.2c0.9-0.1,2.8-1.1,3.2-2.3 c0.4-1.1,0.4-2.1,0.3-2.3c-0.1-0.2-0.4-0.3-0.9-0.6s-2.8-1.4-3.2-1.5c-0.4-0.2-0.8-0.2-1.1,0.2c-0.3,0.5-1.2,1.5-1.5,1.9 c-0.3,0.3-0.6,0.4-1,0.1c-0.5-0.2-2-0.7-3.8-2.4c-1.4-1.3-2.4-2.8-2.6-3.3c-0.3-0.5,0-0.7,0.2-1c0.2-0.2,0.5-0.6,0.7-0.8 c0.2-0.3,0.3-0.5,0.5-0.8c0.2-0.3,0.1-0.6,0-0.8C20.6,19.3,19.7,17,19.3,16z' fill='#fff' fill-rule='evenodd'/>
</path></path></path></path></path></svg>
    </button>
<button aria-label='Copy Link' class='social-btn copy' onclick='copyPageLink()'>
  <svg clip-rule='evenodd' fill-rule='evenodd' image-rendering='optimizeQuality' shape-rendering='geometricPrecision' text-rendering='geometricPrecision' viewbox='0 0 512.176 512.176' xmlns='http://www.w3.org/2000/svg'>
    Link
    <path d='M253.422 172.886L346.8 79.507c11.341-11.342 26.288-17.016 41.229-17.016 14.94 0 29.887 5.674 41.229 17.016l.068.072c11.296 11.334 16.948 26.251 16.948 41.157 0 14.937-5.673 29.884-17.013 41.226l-95.985 95.987c-6.917 6.917-15.622 11.896-24.986 14.67-9.375 2.775-19.459 3.322-29.103 1.37-12.796-2.59-20.783-9.21-28.727-15.795-16.45-17.096-43.529-18.599-62.063-.065l-.075.075c4.42 13.375 13.19 26.417 24.152 37.514 11.64 11.781 25.634 21.27 39.45 26.58 19.788 7.605 41.42 9.238 62.029 4.903 19.889-4.186 38.83-13.981 54.226-29.377l97.982-97.981c21.144-21.144 31.719-49.029 31.719-76.914 0-27.868-10.561-55.732-31.676-76.872l-.044-.042c-21.145-21.145-49.028-31.719-76.913-31.719-27.886 0-55.769 10.574-76.913 31.717l-97.982 97.983c-5.604 5.604-10.447 11.639-14.522 17.981a108.1 108.1 0 00-5.37 9.341 124.273 124.273 0 0126.274-2.805c11.003 0 22.005 1.459 32.688 4.373z' fill='#1689FC'/>
    <path d='M214.476 297.698l37.91-37.911c7.339 6.035 15.038 11.82 26.801 14.202 9.644 1.952 19.728 1.405 29.103-1.37 9.364-2.774 18.069-7.753 24.986-14.67l95.985-95.987c11.34-11.342 17.013-26.289 17.013-41.226 0-14.185-5.118-28.381-15.349-39.488l35.235-35.233.044.042c21.115 21.14 31.676 49.004 31.676 76.872 0 27.885-10.575 55.77-31.719 76.914l-97.982 97.981c-15.396 15.396-34.337 25.191-54.226 29.377-20.609 4.335-42.241 2.702-62.029-4.903-13.034-5.009-26.225-13.737-37.448-24.6z' fill='#5B9FFC'/>
    <path d='M41.107 471.058h.001c45.123 45.124 118.96 45.124 164.083 0l96.531-96.531a114.972 114.972 0 0028.236-46.213c-29.88 4.82-60.152 5.081-76.034.476l-95.341 95.34c-20.391 20.392-53.763 20.394-74.158 0-20.393-20.393-20.392-53.763.001-74.157l94.298-94.297c20.393-20.394 53.763-20.394 74.156-.001 1.992 1.991 6.739 4.885 12.357 7.736 22.287 11.305 43.499 7.568 63.749-9.638a114.963 114.963 0 00-27.264-43.33c-45.123-45.123-118.961-45.123-164.084 0l-96.531 96.531c-45.123 45.123-45.123 118.961 0 164.084z' fill='#A3D4FF'/>
    <path d='M84.045 428.128l-38.208 38.208.002.002c21.143 21.144 49.027 31.718 76.914 31.718 27.886 0 55.769-10.574 76.914-31.718l97.981-97.981c5.798-5.798 10.771-12.039 14.913-18.581a106.457 106.457 0 004.983-8.762l-.685.148a124.32 124.32 0 01-63.515-3.282l-88.581 88.58c-11.342 11.342-26.289 17.016-41.23 17.016-14.185 0-28.382-5.119-39.488-15.348zm213.601-213.601l-35.11 35.11c5.672 4.593 11.642 8.813 19.443 10.391 7.33 1.483 15.056 1.051 22.29-1.09 6.2-1.837 12.019-4.952 16.884-9.214a107.295 107.295 0 00-8.817-16.984c-4.083-6.39-8.98-12.503-14.688-18.212l-.002-.001z' fill='#BFE0FF'/>
    <path d='M176.52 176.649a121.866 121.866 0 0111.304-22.38 122.478 122.478 0 0116.419-20.382l97.981-97.981C326.16 11.97 357.709 0 389.247 0c68.144 0 122.929 54.782 122.929 122.929 0 31.54-11.971 63.087-35.906 87.023l-97.982 97.981a121.905 121.905 0 01-42.769 27.74 122.073 122.073 0 01-10.898 21.696 122.37 122.37 0 01-16.864 21.096l-97.981 97.981c-47.639 47.639-126.409 47.641-174.046 0-47.64-47.637-47.639-126.407 0-174.046l97.981-97.981a121.978 121.978 0 0142.809-27.77zm76.824 161.231l-88.581 88.58c-22.575 22.575-59.882 22.575-82.457 0-22.67-22.671-22.669-59.784-.002-82.458l95.984-95.982c8.853-8.852 20.073-14.579 32.443-16.521 25.13-3.947 36.941 5.84 48.833 15.695 6.602 5.474 13.243 10.978 22.415 12.834 7.33 1.483 15.056 1.051 22.29-1.09 6.2-1.837 12.019-4.952 16.884-9.214-16.645-40.465-56.234-66.915-100.419-66.915-27.887 0-55.771 10.574-76.914 31.719l-97.981 97.981c-42.087 42.087-42.088 111.744 0 153.829 42.085 42.088 111.742 42.086 153.828 0l97.981-97.981c5.798-5.798 10.771-12.039 14.913-18.581a106.457 106.457 0 004.983-8.762l-.685.148a124.32 124.32 0 01-63.515-3.282zm78.67-98.887l87.135-87.136c8.552-8.554 12.829-19.836 12.829-31.121a43.808 43.808 0 00-43.949-43.949c-11.285 0-22.57 4.278-31.121 12.829l-88.438 88.44c28.065 11.729 50.64 33.492 63.544 60.937zm-78.592-66.107L346.8 79.507c11.341-11.342 26.288-17.016 41.229-17.016 32.278 0 58.245 25.968 58.245 58.245 0 14.937-5.673 29.884-17.013 41.226l-95.985 95.987c-6.917 6.917-15.622 11.896-24.986 14.67-9.375 2.775-19.459 3.322-29.103 1.37-12.796-2.59-20.783-9.21-28.727-15.795-9.427-7.813-18.791-15.57-37.552-12.624-9.378 1.471-17.887 5.935-24.586 12.634 4.42 13.375 13.19 26.417 24.152 37.514 11.64 11.781 25.634 21.27 39.45 26.58 19.788 7.605 41.42 9.238 62.029 4.903 19.889-4.186 38.83-13.981 54.226-29.377l97.982-97.981c21.144-21.144 31.719-49.029 31.719-76.914A108.31 108.31 0 00389.247 14.296c-27.886 0-55.769 10.574-76.913 31.717l-97.982 97.983c-5.604 5.604-10.447 11.639-14.522 17.981a108.1 108.1 0 00-5.37 9.341 124.273 124.273 0 0126.274-2.805c11.003 0 22.005 1.459 32.688 4.373zm-76.169 96.387l-84.84 84.838c-17.12 17.123-17.121 45.117.002 62.24 17.022 17.023 45.216 17.023 62.239 0l84.217-84.215c-13.02-6.271-25.752-15.483-36.561-26.423-10.645-10.774-19.509-23.299-25.057-36.44z' fill='#1A1A1A' fill-rule='nonzero'/>
  </path></path></path></path></path></svg>
</button>
</div>
  <button class='reload-btn' onclick='hardReload()'>
Reload <svg class='jam jam-refresh' fill='#FFFFFF' height='26px' preserveaspectratio='xMinYMin' viewbox='-1.5 -2.5 24 24' width='26px' xmlns='http://www.w3.org/2000/svg'><path d='M17.83 4.194l.42-1.377a1 1 0 1 1 1.913.585l-1.17 3.825a1 1 0 0 1-1.248.664l-3.825-1.17a1 1 0 1 1 .585-1.912l1.672.511A7.381 7.381 0 0 0 3.185 6.584l-.26.633a1 1 0 1 1-1.85-.758l.26-.633A9.381 9.381 0 0 1 17.83 4.194zM2.308 14.807l-.327 1.311a1 1 0 1 1-1.94-.484l.967-3.88a1 1 0 0 1 1.265-.716l3.828.954a1 1 0 0 1-.484 1.941l-1.786-.445a7.384 7.384 0 0 0 13.216-1.792 1 1 0 1 1 1.906.608 9.381 9.381 0 0 1-5.38 5.831 9.386 9.386 0 0 1-11.265-3.328z'/></path></svg>
  </button>
</div>
<script type='text/javascript'>
    function sharePage(platform) {
    const text = 'Check out this stream!';
    const url = window.location.href;
    let shareUrl = '';

    switch (platform) {
      case 'facebook':
        shareUrl = `https://www.facebook.com/sharer/sharer.php?u=${encodeURIComponent(url)}`;
        break;
      case 'twitter':
        shareUrl = `https://twitter.com/intent/tweet?url=${encodeURIComponent(url)}&text=${encodeURIComponent(text)}`;
        break;
      case 'whatsapp':
        shareUrl = `https://wa.me/?text=${encodeURIComponent(text + ' ' + url)}`;
        break;
         case 'telegram':
            shareUrl = `https://t.me/share/url?url=${encodeURIComponent(url)}&text=${encodeURIComponent(text)}`;
            break;
      case 'messenger':
        shareUrl = `fb-messenger://share/?link=${encodeURIComponent(url)}`;
        break;
    }

    window.open(shareUrl, '_blank');
  }

 function hardReload() {
 
   var urlParams = new URLSearchParams(window.location.search);
    var liveParam = urlParams.get("live");
    var baseUrl = window.location.origin + window.location.pathname;
    if (liveParam) {
        baseUrl += "?live=" + liveParam;
    }
   baseUrl += (liveParam ? "&" : "?") + "t=" + new Date().getTime();
    window.location.replace(baseUrl);
}
    </script>
<script type='text/javascript'>
  function copyPageLink() {
    if (!navigator.clipboard) {
      // طريقة احتياطية إذا لم يكن Clipboard API مدعوم
      const textArea = document.createElement("textarea");
      textArea.value = window.location.href;
      document.body.appendChild(textArea);
      textArea.select();
      try {
        document.execCommand('copy');
        showToast("Link copied!");
      } catch (err) {
        console.error("Fallback: Unable to copy", err);
        showToast("Failed to copy");
      }
      document.body.removeChild(textArea);
      return;
    }
    
    navigator.clipboard.writeText(window.location.href)
      .then(() => {
        showToast("Link copied!");
      })
      .catch(err => {
        console.error("Could not copy text: ", err);
        showToast("Failed to copy");
      });
  }

  function showToast(message) {
    const toast = document.createElement('div');
    toast.className = 'copy-toast';
    toast.textContent = message;
    // يمكنك تخصيص تنسيق التوست عبر CSS
    toast.style.position = 'fixed';
    toast.style.bottom = '20px';
    toast.style.left = '50%';
    toast.style.transform = 'translateX(-50%)';
    toast.style.backgroundColor = 'rgba(0, 0, 0, 0.7)';
    toast.style.color = '#fff';
    toast.style.padding = '10px 20px';
    toast.style.borderRadius = '5px';
    toast.style.zIndex = '9999';
    document.body.appendChild(toast);
    setTimeout(() => toast.remove(), 2000);
  }
</script>
</div>
</div><div class='widget HTML' data-version='2' id='HTML2'>
<div class='widget-content'>
<script>(function(s,u,z,p){s.src=u,s.setAttribute('data-zone',z),p.appendChild(s);})(document.createElement('script'),'https://naupsithizeekee.com/tag.min.js',5873496,document.body||document.documentElement)</script>
</div>
</div><div class='widget HTML' data-version='2' id='HTML3'>
</div><div class='widget HTML' data-version='2' id='HTML4'>
</div><div class='widget HTML' data-version='2' id='HTML5'>
</div></div>
</div>
<aside class='sidebar'>
<div class='no-items section' id='sidebar'></div>
</aside>
</section>
</main>

</body>
</html>